Skip to main content
POST
/
workflows
/
variables
/
system
/
list
List system-defined workflow variables with filtering and pagination
curl --request POST \
  --url https://api.artu.ai/workflows/variables/system/list \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'X-Environment: <api-key>' \
  --data '
{
  "filter": {
    "search": "<string>",
    "name": "<string>",
    "description": "<string>",
    "referenceDate": "2023-12-25"
  },
  "sort": [
    {}
  ],
  "cursor": "<string>",
  "offset": 4503599627370495,
  "limit": 20,
  "includeTotalCount": true
}
'
{
  "data": [
    {
      "name": "<string>",
      "description": "<string>",
      "scope": "<unknown>",
      "scopes": [],
      "effectiveDate": "<string>",
      "value": "<unknown>"
    }
  ],
  "pagination": {
    "hasMore": true,
    "nextCursor": "<string>",
    "totalCount": 0
  }
}

Authorizations

Authorization
string
header
required

API key authentication. Obtain your API key from the dashboard.

X-Environment
string
header
required

Target environment for the request. Must be "test" or "live".

Body

application/json
filter
object
sort
object[]
cursor
string
offset
integer
Required range: 0 <= x <= 9007199254740991
limit
integer
default:20
Required range: 1 <= x <= 200
includeTotalCount
boolean

Response

200 - application/json

OK

data
object[]
required
pagination
object
required